Mailinglist Archive: opensuse-buildservice (233 mails)

< Previous Next >
[opensuse-buildservice] Disappearing Buildrequires on zlib-devel
  • From: "Dr. Peter Poeml" <poeml@xxxxxxx>
  • Date: Mon, 7 May 2007 12:51:45 +0200
  • Message-id: <20070507105144.GT4538@xxxxxxx>
Hi,

I have a Buildrequires on zlib-devel:

Name:           stunnel
BuildRequires:  openssl openssl-devel zlib-devel
%if 0%{?suse_version:1}
BuildRequires:  tcpd-devel
%else
BuildRequires:  gcc-c++ tcp_wrappers
%endif

The buildinfo does swallow the "zlib-devel" somehow:

 % osc buildinfo SUSE_Linux_Factory x86_64 | grep zlib
  <dep>zlib</dep>
  <bdep name="zlib" preinstall="1" version="1.2.3" release="48" arch="x86_64" project="SUSE:Factory" repository="standard" />
  <pdep>zlib</pdep>

This looks like a bug to me.

The buildconfig has no suspicious replacements or stuff:

 % osc buildconfig SUSE_Linux_Factory x86_64 | grep zlib
Preinstall: permissions popt pwdutils readline rpm sed tar zlib
Required: gettext glibc libtool ncurses perl rpm zlib
Ignore: mediawiki:php-session,php-gettext,php-zlib,php-mysql,mod_php_any


Peter
-- 
Allen Gewalten zum Trutz sich erhalten.
 
SUSE LINUX Products GmbH
Research & Development
< Previous Next >
Follow Ups